function getAjax( url, vv, success, error, done ){
  $.ajax({
    url      : url,
    data     : vv,
    method   : "POST",
    dataType : "json",
    success  : function( data ){
      if( typeof success == "function" ){
        success( data );
      };
    },
    error : function(jqXHR, exception){
      if( typeof error == "function" ) {
        error(jqXHR, exception);
      };
    }
  }).done( function(){
    if( typeof done == "function" ){
      done();
    };
  });
};


$(document).ready(function(){

    /* NAVIGATION BAR */
    $('#main .header .menu_bar a').click(function(){
        $('#main .nav').addClass('active');
        $('body').addClass('active');
    });
    $('#main .nav .close a').click(function(){
        $('#main .nav').removeClass('active');
        $('body').removeClass('active');
    });

    /* SELECT BOX */
       var selectTarget = $('.selectbox select');
     selectTarget.on('blur', function(){
       $(this).parent().removeClass('focus');
     });
      selectTarget.change(function(){
        var select_name = $(this).children('option:selected').text();

      $(this).siblings('label').text(select_name);
    });

     /* FAQ LIST */
    $('.faq .list li .answer').hide();
        $('.faq .list li a').click(function(){
            $('.faq .list li a.active').removeClass('active');
             $(this).addClass('active');
            if($(this).next('.answer:visible').length) {
                $(this).next('.answer:visible').slideUp();
            } else {
                $('.faq .list li .answer:visible').slideUp();
                $(this).next('.answer').slideToggle('normal');
            }
        return false;
    });

     /* Alram LIST */
    $('.alram .list li .answer').hide();
        $('.alram .list li a').click(function(){
            $('.alram .list li a.active').removeClass('active');
             $(this).addClass('active');
            if($(this).next('.answer:visible').length) {
                $(this).next('.answer:visible').slideUp();
            } else {
                $('.alram .list li .answer:visible').slideUp();
                $(this).next('.answer').slideToggle('normal');
            }
        return false;
    });

     /* ASK LIST */
    $('.ask .list li .answer').hide();
        $('.ask .list li a').click(function(){
            $('.ask .list li a.active').removeClass('active');
             $(this).addClass('active');
            if($(this).next('.answer:visible').length) {
                $(this).next('.answer:visible').slideUp();
            } else {
                $('.ask .list li .answer:visible').slideUp();
                $(this).next('.answer').slideToggle('normal');
            }
        return false;
    });

    $('#view').click( function() {
        if( $(this).html() == '답변닫기' ) {
          $(this).html('답변보기');
        }
        else {
          $(this).html('답변닫기');
        }
    });
    
});